package com.example.lectionsupabase.domain.utils

import io.github.jan.supabase.createSupabaseClient
import io.github.jan.supabase.gotrue.Auth
import io.github.jan.supabase.postgrest.Postgrest
import io.github.jan.supabase.storage.Storage


object Constants {
    val supabase = createSupabaseClient(
        supabaseUrl = "https://hsaisodnnhmqcusypnar.supabase.co",
        supabaseKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6ImhzYWlzb2RubmhtcWN1c3lwbmFyIiwicm9sZSI6ImFub24iLCJpYXQiOjE3MjkxNjE0NzQsImV4cCI6MjA0NDczNzQ3NH0.KfjnJiEouhdAT4isU-QLWT6RKl0zaSFmulZzHu8tDg0"
    ) {
        install(Auth)
        install(Postgrest)
        install(Storage)
    }

}